<?xml version="1.0" encoding="utf-8" ?>
<component name="MenuScreen" extends="BaseGroup" initialFocus="homeGrid">
  
  <interface>
    <field id="content" alias="homeGrid.content" />
    <field id="itemFocused" type="integer" alias="homeGrid.itemFocused" />
    <field id="itemSelected" type="integer" alias="homeGrid.itemSelected" />
  </interface>
  
  <script type="text/brightscript" uri="MenuScreen.brs" />

  <children>

        <!-- ========================= -->
        <!-- BEM VINDO (SEM BACKGROUND) -->
        <!-- ========================= -->
        <Group id="welcomeContainer">

            <Label 
                id="welcomeLabel" 
                color="#ffffff"
                horizAlign="center"
                vertAlign="center"
                height="70"
                text="Usuário:" >
                <Font role="font" uri="pkg:/fonts/Montserrat-Black.ttf" size="35" />
            </Label>

        </Group>

        <!-- ========================= -->
        <!-- GRID MENU -->
        <!-- ========================= -->
        <MarkupGrid 
            id="homeGrid" 
            itemComponentName="menugridItem" 
            numColumns="5" 
            numRows="1" 
            itemSize="[300, 300]" 
            itemSpacing="[30, 30]"
            horizFocusAnimationStyle="fixedFocusWrap" 
            drawFocusFeedback="false"
        />

        <!-- ========================= -->
        <!-- LABELS INFERIORES -->
        <!-- ========================= -->
        <Label id="itemLabelMain1"
               color="#ffffff"
               horizAlign="center"
               vertAlign="center"
               translation="[0,450]">
            <Font role="font" uri="pkg:/fonts/Montserrat-Black.ttf" size="60" />
        </Label>

        <Label id="itemLabelMain2"
               color="#ffffff"
               horizAlign="center"
               vertAlign="center"
               translation="[0,490]">
            <Font role="font" uri="pkg:/fonts/Montserrat-Bold.ttf" size="25" />
        </Label>

  </children>
</component>